<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number 28</title>
</head>

<body>
	<h2> JavaScript Excercise</h2>
	
	<p> <b> No.28:</b> Write a JavaScript program to check if two given integer values are in the range 50..99 (inclusive). Return true if either of them are in the said range.</p>
	
	<p> <b> Solution :</b></p>
	
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
	  <input type="number" id="num1" placeholder="Number One" style="margin-top: 5px;"><br>
	  <input type="number" id="num2" placeholder="Number Two" style="margin-top: 5px;"><br>	
	  <input type="number" id="num3" placeholder="Number Three" style="margin-top: 5px;"> <br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	
	<script>
	  function generate(){
		  var a = document.getElementById('num1').value;
		  var b = document.getElementById('num2').value;
		  var c = document.getElementById('num3').value;
		  if ( a <= 99 && a >=50 || b <=99 && b >= 50 || c <=99 && c >= 50 ){
			  document.getElementById('demo').innerHTML=
				  Boolean(1)
		  } else {
			  document.getElementById('demo').innerHTML=
				  Boolean(0)
		  }
		  
	  }
	
	</script>
</body>
</html>
